summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAdam Jackson <ajax@redhat.com>2018-03-01 14:30:37 -0500
committerAdam Jackson <ajax@redhat.com>2018-03-01 14:30:37 -0500
commit0fb06b74423d5490df56ed69b1721c547cffd7ec (patch)
treef9ab7f445340e688cda310900d6ada7ae01f0582
parentc6d1092daa34d3ca32f7bd266c1dc0032d7636a7 (diff)
downloadxorg-proto-inputproto-master.tar.gz
Deprecate inputprotoHEADmaster
Signed-off-by: Adam Jackson <ajax@redhat.com>
-rw-r--r--Makefile.am24
-rwxr-xr-xautogen.sh19
-rw-r--r--configure.ac16
-rw-r--r--specs/Makefile.am14
4 files changed, 4 insertions, 69 deletions
diff --git a/Makefile.am b/Makefile.am
deleted file mode 100644
index 3312f2f..0000000
--- a/Makefile.am
+++ /dev/null
@@ -1,24 +0,0 @@
-
-SUBDIRS = specs
-
-inputdir = $(includedir)/X11/extensions
-input_HEADERS = \
- XI.h \
- XIproto.h \
- XI2.h \
- XI2proto.h
-
-pkgconfigdir = $(libdir)/pkgconfig
-pkgconfig_DATA = inputproto.pc
-
-MAINTAINERCLEANFILES = ChangeLog INSTALL
-
-.PHONY: ChangeLog INSTALL
-
-INSTALL:
- $(INSTALL_CMD)
-
-ChangeLog:
- $(CHANGELOG_CMD)
-
-dist-hook: ChangeLog INSTALL
diff --git a/autogen.sh b/autogen.sh
index a79dc33..1facbd4 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,17 +1,6 @@
-#! /bin/sh
+#!/bin/sh
-srcdir=`dirname "$0"`
-test -z "$srcdir" && srcdir=.
+echo "This module has been deprecated. Use xorgproto instead:"
+echo "git clone git://anongit.freedesktop.org/git/xorg/proto/xorgproto"
-ORIGDIR=`pwd`
-cd "$srcdir"
-
-autoreconf -v --install || exit 1
-cd "$ORIGDIR" || exit $?
-
-git config --local --get format.subjectPrefix >/dev/null 2>&1 ||
- git config --local format.subjectPrefix "PATCH inputproto"
-
-if test -z "$NOCONFIGURE"; then
- exec "$srcdir"/configure "$@"
-fi
+exit 1
diff --git a/configure.ac b/configure.ac
deleted file mode 100644
index 7480425..0000000
--- a/configure.ac
+++ /dev/null
@@ -1,16 +0,0 @@
-AC_PREREQ([2.60])
-AC_INIT([InputProto], [2.3.2], [https://bugs.freedesktop.org/enter_bug.cgi?product=xorg])
-AM_INIT_AUTOMAKE([foreign dist-bzip2])
-
-# Require xorg-macros: XORG_WITH_ASCIIDOC
-m4_ifndef([XORG_MACROS_VERSION],
- [m4_fatal([must install xorg-macros 1.10 or later before running autoconf/autogen])])
-XORG_MACROS_VERSION(1.10)
-XORG_DEFAULT_OPTIONS
-XORG_ENABLE_SPECS
-XORG_WITH_ASCIIDOC(8.4.5)
-
-AC_CONFIG_FILES([Makefile
- specs/Makefile
- inputproto.pc])
-AC_OUTPUT
diff --git a/specs/Makefile.am b/specs/Makefile.am
deleted file mode 100644
index f2454bc..0000000
--- a/specs/Makefile.am
+++ /dev/null
@@ -1,14 +0,0 @@
-
-if ENABLE_SPECS
-if HAVE_ASCIIDOC
-
-doc_DATA = XI2proto.html XIproto.html
-dist_doc_DATA = XI2proto.txt XIproto.txt
-
-%.html: %.txt
- $(AM_V_GEN)TZ=UTC $(ASCIIDOC) -o $@ $<
-
-CLEANFILES = $(doc_DATA)
-
-endif
-endif